Bug 9803 - question mark in cataloging not clearly a link
Summary: question mark in cataloging not clearly a link
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 9366
  Show dependency treegraph
 
Reported: 2013-03-12 23:23 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9803 - question mark in cataloging not clearly a link (2.04 KB, patch)
2013-03-20 18:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9803 - question mark in cataloging not clearly a link (2.17 KB, patch)
2013-03-20 18:53 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 9803 - question mark in cataloging not clearly a link (2.23 KB, patch)
2013-03-28 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-03-12 23:23:50 UTC
When you mouse over the question mark to the right of marc fields in cataloging it's not clear that it's a link because the usual cursor don't show up.
Comment 1 Owen Leonard 2013-03-20 18:42:19 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-03-20 18:53:23 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-28 15:09:52 UTC
QA comment:
Simple patch. It changes the cursor for help links on cataloguing.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-28 15:10:08 UTC
Created attachment 16977 [details] [review]
Bug 9803 - question mark in cataloging not clearly a link

When you hover your mouse over the MARC tag help link in cataloging the
cursor doesn't change to a standard link pointer because the <a> tag has
no "href" attribute. This patch adds a dummy href, "#" so that the
cursor will treat it as a link.

To test, apply the patch and load the MARC editor with a blank or
existing record. The "Show MARC tag documentation links" checkbox
must be checked. Hover your mouse over a "?" link in any tag. The
cursor should change to a pointer like it does on other links.

Signoff comment: The patch works as expected. Besides the cursor change,
links still work on every tab.

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-03-30 02:44:39 UTC
This patch has been pushed to master.